Subject: Re: [PATCH]Add new IPv6 MIBs counters support through netlink

From: "David S. Miller" <[email-masked]>
Date: Wed, 26 May 2004 17:01:40 -0700

On Thu, 27 May 2004 08:58:12 +0900 (JST)
YOSHIFUJI Hideaki / 吉藤英明 <[email-masked]> wrote:

> > All the counters not just IP will be eventually 64 bits. We can fix it 
> > later. And 
> > if we implement 64 counters here, there is performance issue on some 
> > architectures which don't support atmoic 64 for 32 bit platform.
> 
> I strongly do not want to change interface twice to support these new
> statistics.

As a side note, I am worried about investing so much effort and
expense if by the time we make 64-bit atomic counters work acceptably
on 32-bit platforms we are all running Opteron machines :-)